This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 469998 - Review Request: nightview - A general astronomical software package to control of a CCD camera
Review Request: nightview - A general astronomical software package to contro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On: 478680
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 01:45 EST by Lubomir Rintel
Modified: 2009-01-07 16:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 16:13:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-11-05 01:45:45 EST
SPEC: http://netbsd.sk/~lkundrak/SPECS/nightview.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/nightview-0.3.1-1.el5.src.rpm

Description:

Nightview is a general astronomical software package to control of a CCD
camera together with a telescope. It provides an intuitive graphical
interface for getting of individual exposures and a telescope possitioning.
An advanced command line interface is also offered to support of a scripting
and a long time serie imaging.

Nightview is designed as a fully network transparent providing maximum
flexibility of its usage. Moreover, all components are prepared with
possibility to be simply superseded by an user's equivalent for support of
individual improvements and possible requested extendings.
Comment 1 Lubomir Rintel 2008-11-05 01:49:13 EST
nightview.i386: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

This is a convenience meta-package that drags in the whole suite when installed. It, obviously, can't be nade noarch separately. That might not be true for RPM 4.6, which makes it possible for subpackages to be noarch, but since it also introduces architecture-specific dependencies, it might make more sense to leave it as it is, architecture specific, and let it depend on packages of specific architectures.

Builds fine in fedora-5-i386-epel mock, the above is the only RPMLint warning.
Comment 2 Marek Mahut 2008-11-05 04:33:42 EST
1) you're missing desktop-file-utils in BuildRequires

2) gcc 4.3 problem: http://koji.fedoraproject.org/koji/getfile?taskID=918010&name=build.log
Comment 3 Lubomir Rintel 2008-11-05 11:51:55 EST
(In reply to comment #2)
> 1) you're missing desktop-file-utils in BuildRequires

Right, fixed.

> 2) gcc 4.3 problem:
> http://koji.fedoraproject.org/koji/getfile?taskID=918010&name=build.log

Also fixed.
Thanks for the suggestions! New package:

SPEC: http://netbsd.sk/~lkundrak/SPECS/nightview.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/nightview-0.3.1-2.el5.src.rpm
Comment 4 Marek Mahut 2008-11-10 11:08:43 EST
(In reply to comment #3)
> (In reply to comment #2)
> > 2) gcc 4.3 problem:
> > http://koji.fedoraproject.org/koji/getfile?taskID=918010&name=build.log
> 
> Also fixed.

Not really yet: http://koji.fedoraproject.org/koji/getfile?taskID=924599&name=build.log
Comment 5 Marek Mahut 2008-12-19 15:43:51 EST
ping
Comment 6 Lubomir Rintel 2008-12-19 22:04:36 EST
I somehow happened to submit old package named as new. Corrected now. The links, hopefully correct this time, still apply:

SPEC: http://netbsd.sk/~lkundrak/SPECS/nightview.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/nightview-0.3.1-2.el5.src.rpm

Built fine in fedora-development-i386.
Comment 8 Marek Mahut 2009-01-06 03:33:58 EST
* You're not packing latest version of nightview (0.3.2)
  
  ftp://integral.physics.muni.cz/pub/nightview/

* Some of files are GPLv2+ 

   example: ./xnightview/base64.cpp

If not it looks working fine - too bad we don't have a CCD camera to try it out :)
Comment 9 Lubomir Rintel 2009-01-06 05:22:43 EST
(In reply to comment #8)
> * You're not packing latest version of nightview (0.3.2)
> 
>   ftp://integral.physics.muni.cz/pub/nightview/

Updated.

> * Some of files are GPLv2+ 
> 
>    example: ./xnightview/base64.cpp

The whole work is distributed as GPLv2.

> If not it looks working fine - too bad we don't have a CCD camera to try it out
> :)

A bigger pity is lack of open SBIG specification I'd say...

SRPM: http://fedorapeople.org/~lkundrak/nightview-0.3.2-1.el5.i386/nightview-0.3.2-1.fc11.src.rpm
SPEC: http://fedorapeople.org/~lkundrak/nightview-0.3.2-1.el5.i386/nightview.spec
Build log: 

http://fedorapeople.org/~lkundrak/nightview-0.3.2-1.el5.i386/
Comment 10 Marek Mahut 2009-01-06 06:39:19 EST
You're right, it's sad. Also, please mail Dr. Hroch with patches.

APPROVED.
Comment 11 Lubomir Rintel 2009-01-06 08:13:02 EST
Thanks!

(In reply to comment #10)
> You're right, it's sad. Also, please mail Dr. Hroch with patches.

I think in 0.3.2 he included fix for gcc4.3, which was our only upstreamable patch. Other ones are specific to our build.

New Package CVS Request
=======================
Package Name: nightview
Short Description: Software package to control a CCD camera
Owners: lkundrak
Branches: EL-5 F-10

(Note that I've found a typo in Summary and made it a bit shorter. I'll change it in the package upon commit as well).
Comment 12 Kevin Fenzi 2009-01-06 19:11:25 EST
cvs done.
Comment 13 Lubomir Rintel 2009-01-07 16:13:50 EST
Thanks for the review Marek; Thanks for CVS Kevin.

Imported and built

Note You need to log in before you can comment on or make changes to this bug.